import 'dart:io';
import 'package:path/path.dart' as path;
import 'html_spec_entry_file.dart';

void main() async {
  final outputDirectory = path.joinAll([
    Directory.current.path,
    'lib',
    'src',
    'html_elements',
  ]);
  final entry = HtmlSpecEntryFile(
    outputDirectory: outputDirectory,
  );

  await entry.write();

  Process.runSync('dart', [
    'format',
    outputDirectory,
  ]);
}
